Bug 1480014 - power drain in sleep too fast
power drain in sleep too fast
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: cpupowerutils (Show other bugs)
26
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Orphan Owner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-09 19:46 EDT by Nick Levinson
Modified: 2018-05-29 07:46 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-29 07:46:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nick Levinson 2017-08-09 19:46:40 EDT
Description of problem: In sleep mode, DC power is consumed much faster in Fedora 26 than it is in old Porteus 1.1 Linux. The speed of drainage in one test was the loss of about an hour of charge during two and a quarter to two and a half hours of sleep. With Porteus, the battery can be nearly empty and sleep still gives me lots of time to plug into AC. Example: Porteus in DC-only slept 2 hr 20 min when it went from 5 hr 21 min left to 5 hr 36 min left (not a typo, figures sometimes fluctuate); that's almost no drainage. Both OSes were used on my 64-bit Dell Latitude E4300 with the same high-capacity 3rd-party battery. F26 is installed on my hard drive and I run Porteus live from optical disc or RAM. I use gedit in F26 and KWrite in Porteus; they're open in sleep but they're not in use. While F26 uses USB Wi-Fi, Porteus uses the internal Wi-Fi; but no Wi-Fi should be running in sleep and the USB Wi-Fi (for F26) is not connected in sleep. When F26 was sleeping, awakening requires BIOS-level logging in (okay with me). How much battery charge is left is displayed in F26's Power app and in the Porteus KDE desktop's bottom panel's right end; the figures seem reliable but I'm not willing to pay the battery replacement cost to run the battery down to zero to find out. When sleeping, the laptop's power button LED fades and rebrightens through slow cycles and it does so in both Porteus and F26, so the hardware is apparently exonerated. It looks like something in F26 needs reprogramming.

Version-Release number of selected component (if applicable): I only guessed at the component and don't know how to get a version-release number. I have all updates to F26 through 8-6-17.

How reproducible: Not willing to try too often.

Steps to Reproduce:
1. Use the computer.
2. When putting to sleep, notice how much capacity is left.
3. When resuming from sleep, notice how long sleep was for and how much capacity is left at resumption.

Actual results: Sleep drains nearly as fast as normal use.

Expected results: Sleep should have little drain.
Comment 1 Fedora End Of Life 2018-05-03 04:21:34 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2018-05-29 07:46:58 EDT
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.